godo.AgentPlatform.ListModelEvaluationRuns()
Generated on 5 Nov 2026
from godo version
v1.236.0
Usage
client.AgentPlatform.ListModelEvaluationRuns(ctx context.Context, opt *godo.ModelEvaluationRunListOptions) (*godo.ModelEvaluationRunListResponse, *godo.Response, error)Description
ListModelEvaluationRuns lists model evaluation runs. Results can be filtered
by preset UUID, status (single or multiple), candidate model source types,
and a free-text search across run, candidate model, and dataset names. The
result set can also be sorted via SortBy / SortDirection.
This method sends a GET request to /v2/gen-ai/model_evaluation_runs.
Parameters
opt*godo.ModelEvaluationRunListOptions
Fields of godo.ModelEvaluationRunListOptions
ModelEvaluationRunListOptions specifies optional parameters for listing
model evaluation runs.
EvalPresetUUIDstringStatusgodo.ModelEvaluationRunStatusStatuses[]godo.ModelEvaluationRunStatusCandidateTypes[]godo.CandidateModelSourceSearchstringSortBygodo.ModelEvaluationRunSortFieldSortDirectiongodo.ModelEvaluationRunSortDirectionListOptionsgodo.ListOptions
Returns
- *godo.ModelEvaluationRunListResponse
- *godo.Response
The HTTP response, with pagination
Links,Meta, andRatelimit information.- error
Non-nil when the request fails. API errors are returned as
*godo.ErrorResponse.
Fields of godo.ModelEvaluationRunListResponse
ModelEvaluationRunListResponse is the response returned by
ListModelEvaluationRuns.
AvailableCandidateTypes[]godo.CandidateModelSourceAvailableStatuses[]godo.ModelEvaluationRunStatusRuns[]*godo.ModelEvaluationRunSummaryLinks*godo.LinksMeta*godo.Meta
Request Sample
More Information
See GET /v2/gen-ai/model_evaluation_runs in the API reference for additional detail on responses, headers, parameters, and more.
See the Go package documentation for the source of this method.